% y = Render(x,bn)
%
% Find rendered JPEG values y for RAW values x, using function
% estimated using CameraFit(...,...,bn).
%
% -- Ayan Chakrabarti <ayanc@eecs.harvard.edu>
function y = Render(x,bn)

ySimple = SimpleRender(x,bn);
xNew = ySimple/255;
ySimple = max(0,min(255,ySimple));

dy = GamutEst(xNew,bn);

y = ySimple + dy; 
y = min(max(0,round(y)),255);
