% y = SimpleRender(x,bn)
%
% Find rendered JPEG values y for RAW values x, using function
% estimated using SimpleFit(...,...,bn).
%
% -- Ayan Chakrabarti <ayanc@eecs.harvard.edu>
function y = SimpleRender(x,bn)

d = load('-mat',[bn '_T.mat']);
x = d.T*x;

y = zeros(size(x));
for i = 1:3
  yc = polyaug(x(i,:),d.deg);
  y(i,:) = d.coeffs(i,:)*yc;
end;
